com.genesyslab.wfm8.API.service.scheduleTrade852

## Class SchTradeProposalHolder

- java.lang.Object
- - com.genesyslab.wfm8.API.service.scheduleTrade852.SchTradeProposalHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class SchTradeProposalHolder
      extends java.lang.Object
      implements java.io.Serializable

  Trade Proposal Holder
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SchAgentDayHolder` | `agentDayHolder`
    `protected java.util.List<SchTradeProposal>` | `schTradeProposals`
    `protected int` | `schTradeProposalsNSizeIs`
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchTradeProposalHolder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `SchAgentDayHolder` | `getAgentDayHolder()` Gets the value of the agentDayHolder property.
    `java.util.List<SchTradeProposal>` | `getSchTradeProposals()` Gets the value of the schTradeProposals property.
    `int` | `getSchTradeProposalsNSizeIs()` Gets the value of the schTradeProposalsNSizeIs property.
    `int` | `hashCode()`
    `void` | `setAgentDayHolder(SchAgentDayHolder value)` Sets the value of the agentDayHolder property.
    `void` | `setSchTradeProposals(java.util.List<SchTradeProposal> schTradeProposals)` Sets the value of the schTradeProposals property.
    `void` | `setSchTradeProposalsNSizeIs(int value)` Sets the value of the schTradeProposalsNSizeIs property.
    `java.lang.String` | `toString()`
    `SchTradeProposalHolder` | `withAgentDayHolder(SchAgentDayHolder value)`
    `SchTradeProposalHolder` | `withSchTradeProposals(java.util.Collection<SchTradeProposal> values)`
    `SchTradeProposalHolder` | `withSchTradeProposals(SchTradeProposal... values)`
    `SchTradeProposalHolder` | `withSchTradeProposalsNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### schTradeProposalsNSizeIs

          protected int schTradeProposalsNSizeIs

    - #### schTradeProposals

          protected java.util.List<SchTradeProposal> schTradeProposals

    - #### agentDayHolder

          protected SchAgentDayHolder agentDayHolder

  - ### Constructor Detail

    - #### SchTradeProposalHolder

          public SchTradeProposalHolder()

  - ### Method Detail

    - #### getSchTradeProposalsNSizeIs

          public int getSchTradeProposalsNSizeIs()

      Gets the value of the schTradeProposalsNSizeIs property.

    - #### setSchTradeProposalsNSizeIs

          public void setSchTradeProposalsNSizeIs(int value)

      Sets the value of the schTradeProposalsNSizeIs property.

    - #### getSchTradeProposals

          public java.util.List<SchTradeProposal> getSchTradeProposals()

      Gets the value of the schTradeProposals property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the schTradeProposals property.

      For example, to add a new item, do as follows:

              getSchTradeProposals().add(newItem);

      Objects of the following type(s) are allowed in the list `SchTradeProposal`

    - #### getAgentDayHolder

          public SchAgentDayHolder getAgentDayHolder()

      Gets the value of the agentDayHolder property.
      Returns:
        possible object is `SchAgentDayHolder`

    - #### setAgentDayHolder

          public void setAgentDayHolder(SchAgentDayHolder value)

      Sets the value of the agentDayHolder property.
      Parameters:
        `value` - allowed object is `SchAgentDayHolder`

    - #### withSchTradeProposalsNSizeIs

          public SchTradeProposalHolder withSchTradeProposalsNSizeIs(int value)

    - #### withSchTradeProposals

          public SchTradeProposalHolder withSchTradeProposals(SchTradeProposal... values)

    - #### withSchTradeProposals

          public SchTradeProposalHolder withSchTradeProposals(java.util.Collection<SchTradeProposal> values)

    - #### withAgentDayHolder

          public SchTradeProposalHolder withAgentDayHolder(SchAgentDayHolder value)

    - #### setSchTradeProposals

          public void setSchTradeProposals(java.util.List<SchTradeProposal> schTradeProposals)

      Sets the value of the schTradeProposals property.
      Parameters:
        `schTradeProposals` - allowed object is `SchTradeProposal`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.